Skip to main content
POST
/
organization
/
{organizationId}
/
creditCard
Add credit card
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/creditCard \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "number": "<string>",
  "cvv": "<string>",
  "expiry_month": 6,
  "expiry_year": 2025,
  "token": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "expiry_month": 6,
  "expiry_year": 2025,
  "last_digit": "7890",
  "is_expired": true,
  "brand": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
number
string
required
cvv
string
required
expiry_month
integer
required
Example:

6

expiry_year
integer
required
Example:

2025

token
string | null

Token generated by payment solution platform.

Response

Add credit card

id
string<uuid>
required
created_at
string<date-time>
required
expiry_month
integer
required
Example:

6

expiry_year
integer
required
Example:

2025

last_digit
string
required
Example:

"7890"

is_expired
boolean
required
brand
string
required